src/base/cs_part_to_block.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_part_to_block.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "cs_block_dist.h"`
`#include "cs_part_to_block.h"`
Include dependency graph for cs_part_to_block.c:

## Functions
cs_part_to_block_t * | cs_part_to_block_create_by_gnum (MPI_Comm comm, cs_block_dist_info_t bi, cs_lnum_t n_ents, const cs_gnum_t global_ent_num[])
void | cs_part_to_block_destroy (cs_part_to_block_t **d)
void | cs_part_to_block_transfer_gnum (cs_part_to_block_t *d, cs_gnum_t global_ent_num[])
cs_lnum_t | cs_part_to_block_get_n_part_ents (cs_part_to_block_t *d)
void | cs_part_to_block_copy_array (cs_part_to_block_t *d, cs_datatype_t datatype, int stride, const void *part_values, void *block_values)
void | cs_part_to_block_copy_index (cs_part_to_block_t *d, const cs_lnum_t *part_index, cs_lnum_t *block_index)
void | cs_part_to_block_copy_indexed (cs_part_to_block_t *d, cs_datatype_t datatype, const cs_lnum_t *part_index, const void *part_val, const cs_lnum_t *block_index, void *block_val)

## Function Documentation

void cs_part_to_block_copy_array | ( | cs_part_to_block_t * | d,
|  | cs_datatype_t | datatype,
|  | int | stride,
|  | const void * | part_values,
|  | void * | block_values
| ) |  |

void cs_part_to_block_copy_index | ( | cs_part_to_block_t * | d,
|  | const cs_lnum_t * | part_index,
|  | cs_lnum_t * | block_index
| ) |  |

void cs_part_to_block_copy_indexed | ( | cs_part_to_block_t * | d,
|  | cs_datatype_t | datatype,
|  | const cs_lnum_t * | part_index,
|  | const void * | part_val,
|  | const cs_lnum_t * | block_index,
|  | void * | block_val
| ) |  |

cs_part_to_block_t* cs_part_to_block_create_by_gnum | ( | MPI_Comm | comm,
|  | cs_block_dist_info_t | bi,
|  | cs_lnum_t | n_ents,
|  | const cs_gnum_t | global_ent_num[]
| ) |  |

void cs_part_to_block_destroy | ( | cs_part_to_block_t ** | d | ) |

cs_lnum_t cs_part_to_block_get_n_part_ents | ( | cs_part_to_block_t * | d | ) |

void cs_part_to_block_transfer_gnum | ( | cs_part_to_block_t * | d,
|  | cs_gnum_t | global_ent_num[]
| ) |  |